Skip to main content

Get an application by ID

GEThttps://api.propexo.com/v1/applications/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the application

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: b2f6d0a8-4c31-4e97-9a15-8d3c7e1f6042
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for RESMAN

    Example: null
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: 7c4e1a90-2b58-4f63-a1d7-e90c5b28f416
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: abc-123-def-456
    statusstringrequireddeprecated

    DEPRECATED. Use status_raw and status_normalized on the applicants array

    Important

    Deprecated in favor of status_raw and status_normalized on applicants_to_applications

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    custom_data object | nullrequired
    object
    applicants object[]required

    Applicants associated with the application

  • Array [
  • applicant_idstringrequired

    The Propexo unique identifier for the applicant

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: cm4k8n2pqc0005app7h6j5m4r3
    application_idstringrequired

    The Propexo unique identifier for the application

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: cm4k8n2pqd0006apl8i7k6n5s4
    statusstring | nullnullabledeprecated

    DEPRECATED. Use status_raw

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    status_rawstring | nullnullable

    The raw status associated with the applicant

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: Pending
    status_normalizedstring | nullnullable

    The normalized status associated with the applicant. Confirm these derived values before using them in production.

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: PENDING
    custom_data object | null
    object
  • ]
  • integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    Leasing/Leasing/GetApplicantsAndCurrentResidents
    Example: cm20oe3sw87101871971bl8bymi60v3o

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applications/:id
curl https://api.propexo.com/v1/applications/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "b2f6d0a8-4c31-4e97-9a15-8d3c7e1f6042",
"x_location_id": null,
"x_property_id": "7c4e1a90-2b58-4f63-a1d7-e90c5b28f416",
"x_unit_id": "abc-123-def-456",
"custom_data": "Unknown Type: object,null",
"applicants": [
{
"applicant_id": "cm4k8n2pqc0005app7h6j5m4r3",
"application_id": "cm4k8n2pqd0006apl8i7k6n5s4",
"status_raw": "Pending",
"status_normalized": "PENDING",
"custom_data": "Unknown Type: object,null"
}
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm20oe3sw87101871971bl8bymi60v3o"
}
}